IntelliCAD 11.1 Object Library
AddText Method
See Also 
TextString
The text to place in the drawing.
InsertionPoint
A Point object representing the location to insert the text.
Height
The height of the text.
Block Collection : AddText Method

Description

Adds a text entity with given height and rotation.

Syntax

Visual Basic
Public Function AddText( _
   ByVal TextString As String, _
   ByVal InsertionPoint As Point, _
   ByVal Height As Double _
) As Text

Parameters

TextString
The text to place in the drawing.
InsertionPoint
A Point object representing the location to insert the text.
Height
The height of the text.

Example

Private Sub AddText_Example()

' This example creates text and adds it to the drawing using the

     ' AddText method. It then zooms to the center of the drawing.

     

     Dim icadDoc As IntelliCAD.Document

     Dim myText As String

     Dim mtextObj As IntelliCAD.Text

     Dim insPt As IntelliCAD.Point

     Dim height As Double

     Set icadDoc = ActiveDocument

     Set insPt = Library.CreatePoint(0, 9)

     height = 5

     myText = "Test string for the AddText method"

     ' Add the Text object

     Set mtextObj = icadDoc.ModelSpace.AddText(myText, insPt, height)

     mtextObj.Update

     ThisDocument.Application.ZoomCenter insPt, 20

End Sub

See Also

© 2022 IntelliCAD Technology Consortium. All Rights Reserved.